View Issue Details

IDProjectCategoryView StatusLast Update
0022452mantisbtuipublic2017-09-03 05:31
ReporterrctAssigned Tocommunity 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2.4.0 
Summary0022452: Create new project button
Description

Hello,

This is a usability issue: when you want to create a project and you have many projects the button is at the bottom of the page.
It will be better to have it at the top of the page (or to have two buttons).

Romain

TagsNo tags attached.

Activities

vboctor

vboctor

2017-03-27 11:40

manager   ~0056225

I don't see this is a big deal. Having it at the end is consistent with a lot of other places and it is not like tons of new projects are being created all the time.

When submitting PRs, please always include before/after screenshots.

PR: https://github.com/mantisbt/mantisbt/pull/1072

rct

rct

2017-04-04 04:41

reporter   ~0056363

It's not a real big deal as we can always create projects but we have 400 projects defined in Mantis (many sub-projects) and also some archived ones.

When you have to create a project you go to the project page and you have to scroll to the bottom (if you know the button is at the bottom) to access this functionnality.
That's why I think positioning the button at the top is a good thing to do.

I also updated the PR with a screenshot.



mantis_projects.PNG (18,736 bytes)
mantis_projects.PNG (18,736 bytes)
cproensa

cproensa

2017-04-04 06:52

developer   ~0056368

Having it at the end is consistent with a lot of other places

Manage users: New user is at top
Manage projects: New project at bottom
Tags: New tag at top
Custom fields: new field at bottom

cproensa

cproensa

2017-08-19 13:22

developer   ~0057511

Fixed with PR 1072
commit: 378fba2c9bf4565a39f88d5cf722c5af18c9357f

Related Changesets

MantisBT: master 378fba2c

2017-03-27 05:30:02

Romain CABASSOT


Committer: vboctor Details Diff
Moved 'Create New Project' button before the projects list.
mod - manage_proj_page.php Diff File

Issue History

Date Modified Username Field Change
2017-03-02 11:07 rct New Issue
2017-03-27 11:40 vboctor Note Added: 0056225
2017-04-04 04:41 rct File Added: mantis_projects.PNG
2017-04-04 04:41 rct Note Added: 0056363
2017-04-04 06:52 cproensa Note Added: 0056368
2017-08-19 13:16 cproensa Fixed in Version => 2.4.0
2017-08-19 13:22 cproensa Assigned To => community
2017-08-19 13:22 cproensa Status new => resolved
2017-08-19 13:22 cproensa Resolution open => fixed
2017-08-19 13:22 cproensa Note Added: 0057511
2017-08-19 13:24 cproensa Changeset attached => MantisBT master 378fba2c
2017-09-03 05:31 atrol Status resolved => closed